/*
            	
 */
public class Password
{
    public static String encrypt(String pass)
    {
    	String encryptedPass="";
    	for (int i=0; i<pass.length(); i++)
    	{
    		char curChar = pass.charAt(i);
    		if (isDigit(curChar))
    			encryptedPass += getPrevDigit(curChar); 
    		else if (isLetter(curChar))
    			encryptedPass += getNextLetter(curChar); 
    	}
    	return encryptedPass;
    }
    public static String decrypt(String pass)
    {
    	String decryptedPass="";
    	for (int i=0; i<pass.length(); i++)
    	{
    		char curChar = pass.charAt(i);
    		if (isDigit(curChar))
    			decryptedPass += getNextDigit(curChar); 
    		else if (isLetter(curChar))
    			decryptedPass += getPrevLetter(curChar); 
    	}
    	return decryptedPass;
    }
    public static boolean isLegal(String pass)
    {
    	boolean hasLetter=false, hasDigit=false;
    	int len = pass.length();
    	if (len<6 || len>8)
    		return false;
    	for (int i=0; i<pass.length(); i++)
    	{
    		char curChar = pass.charAt(i);
    		if (!isDigit(curChar) && !isLetter(curChar))
    			return false;
    		if (isDigit(curChar))
    			hasDigit=true;
    		if (isLetter(curChar))
    			hasLetter=true;
    	}
    	return (hasLetter && hasDigit);
    }
    private static boolean isDigit(char ch)
    {
    	return (ch>='0' && ch<='9');
    }
    private static char getPrevDigit(char ch)
    {
    	if (ch=='0')
    		return '9';
    	return (char)(ch-1);
    }
    private static char getNextDigit(char ch)
    {
    	if (ch=='9')
    		return '0';
    	return (char)(ch+1);
    }
    private static boolean isLetter(char ch)
    {
    	return ( (ch>='a' && ch<='z') || (ch>='A' && ch<='Z') ); 
    }
    private static char getNextLetter(char ch)
    {
    	if (ch=='z')
    		return 'a';
    	if (ch=='Z')
    		return 'A';
    	return (char)(ch+1);
    }
    private static char getPrevLetter(char ch)
    {
    	if (ch=='a')
    		return 'z';
    	if (ch=='A')
    		return 'Z';
    	return (char)(ch-1);
    }
	public static void main(String[] args) 
	{
		String p = "9130abz";
		System.out.println(isLegal(p));
		p=encrypt(p);
		System.out.println(p);
		p=decrypt(p);
		System.out.println(p);
		
		p = "9130 abz";
		System.out.println(isLegal(p));
	}
}
